<?php
set_include_path(t3lib_extMgm::extPath('multishop').PATH_SEPARATOR.t3lib_extMgm::extPath('multishop').'scripts/admin_pages/');	
if ($get['Search'] and ($get['payed_orders_only'] != $this->cookie['payed_orders_only']))
{	
	$this->cookie['payed_orders_only'] = $get['payed_orders_only'];
	$GLOBALS['TSFE']->fe_user->setKey('ses', 'tx_multishop_cookie', $this->cookie);
	$GLOBALS['TSFE']->storeSessionData();
}
$content.='
<form method="get" action="index.php" id="orders_stats_form" class="float_right">
<input name="id" type="hidden" value="'.$this->shop_pid.'" />
<input name="Search" type="hidden" value="1" />
<input name="tx_multishop_pi1[page_section]" type="hidden" value="'.$ms['page'].'" />
<input id="checkbox_payed_orders_only" name="payed_orders_only" type="checkbox" value="1" '.($this->cookie['payed_orders_only']?'checked':'').' /> '.$this->pi_getLL('show_payed_orders_only').'

</form>
<script type="text/javascript" language="JavaScript">
	jQuery(document).ready(function($){
		$("#checkbox_payed_orders_only").click(function(e) {
			$("#orders_stats_form").submit();
		 });							
	});
</script>	
';
$dates=array();
$content.='<h2>'.htmlspecialchars($this->pi_getLL('sales_volume_by_month')).'</h2>';
for ($i=1;$i<13;$i++)
{
	$time=strtotime(date("Y-".$i."-01")." 00:00:00");
	$dates[strftime("%B %Y",$time)]=date("Y-m",$time);
}
$content.='<table width="100%" cellspacing="0" cellpadding="0" border="0" id="product_import_table">';
$content.='<tr class="odd">';
foreach ($dates as $key => $value)
{
	$content.='<td align="right">'.ucfirst($key).'</td>';
}
$content.='<td align="right" nowrap>'.htmlspecialchars($this->pi_getLL('cumulative')).'</td></tr>';
$content.='<tr class="even">';
$total_amount=0;
foreach ($dates as $key => $value)
{
	$total_price=0;
	$start_time	= strtotime($value."-01 00:00:00");
	$end_time	= strtotime($value."-31 23:59:59");
	$where=array();	
	if ($this->cookie['payed_orders_only']) 			$where[]='(o.payed=1)';
	else												$where[]='(o.payed=1 or o.payed=0)';
	$where[]='(o.deleted=0)';
	$str="SELECT o.orders_id  FROM tx_multishop_orders o WHERE (".implode(" AND ",$where).") and (o.crdate BETWEEN ".$start_time." and ".$end_time.")";
	$qry=$GLOBALS['TYPO3_DB']->sql_query($str);
	while ($row=$GLOBALS['TYPO3_DB']->sql_fetch_assoc($qry))
	{
		$total_price=($total_price+mslib_fe::getOrderTotalPrice($row['orders_id']));
	}
	$content.='<td align="right">'.mslib_fe::Money2Cents($total_price).'</td>';
	$total_amount=$total_amount+$total_price;
}
$content.='<td align="right" nowrap>'.mslib_fe::Money2Cents(($total_amount/date("m"))*12).'</td></tr>';
if (!$tr_type or $tr_type=='even') 	$tr_type='odd';
else								$tr_type='even';
$content.='
</table>';
// LAST MONTHS EOF
$tr_type='even';
$dates=array();
$content.='<h2>'.htmlspecialchars($this->pi_getLL('sales_volume_by_day')).'</h2>';
for ($i=0;$i<31;$i++)
{
	$time=strtotime("-".$i." day");
	$dates[date("d-m-Y",$time)]=$time;
}
$content.='<table width="100%" cellpadding="0" cellspacing="0" border="0" id="product_import_table">
<tr>
	<th width="100" align="right">'.htmlspecialchars($this->pi_getLL('day')).'</th>
	<th width="100" align="right">'.htmlspecialchars($this->pi_getLL('amount')).'</th>
	<th>'.htmlspecialchars($this->pi_getLL('customers')).'</th>	
</tr>
';
foreach ($dates as $key => $value)
{	
	if (!$tr_type or $tr_type=='even') 	$tr_type='odd';
	else								$tr_type='even';	
	$content.='<tr class="'.$tr_type.'">';
	$content.='<td align="right">'.$key.'</td>';

	$total_price=0;
	$start_time	= strtotime($key." 00:00:00");
	$end_time	= strtotime($key." 23:59:59");
	$where=array();
	if ($this->cookie['payed_orders_only']) 	$where[]='(o.payed=1)';
	else										$where[]='(o.payed=1 or o.payed=0)';
	$where[]='(o.deleted=0)';
	
	$str="SELECT o.customer_id, o.orders_id  FROM tx_multishop_orders o WHERE (".implode(" AND ",$where).") and (o.crdate BETWEEN ".$start_time." and ".$end_time.")";
	$qry=$GLOBALS['TYPO3_DB']->sql_query($str);
	$uids=array();
	$users=array();
	while ($row=$GLOBALS['TYPO3_DB']->sql_fetch_assoc($qry))
	{
		$total_price=($total_price+mslib_fe::getOrderTotalPrice($row['orders_id']));
		$uids[]=$row['customer_id'];
	}
	$content.='<td align="right">'.mslib_fe::Money2Cents($total_price).'</td>';
	if (count($uids))
	{
		$uids=array_unique($uids);
		foreach ($uids as $uid)
		{
			$user=mslib_fe::getUser($uid);
			$string='';
			if ($user['name']) 				$string=$user['name'];
			if ($user['username']) 			$string.=' ('.$user['username'].')';
			if ($string) $users[]=$string;
		}
		$content.='<td>'.implode(", ",$users).'</td>';
	}
	else $content.='<td> </td>';
	$content.='</tr>';
}
$content.='</table>';
// LAST MONTHS EOF
$content.='<p class="extra_padding_bottom"><a class="multishop_admin_submit" href="'.mslib_fe::typolink().'">'.strtoupper($this->pi_getLL('admin_close_and_go_back_to_catalog')).'</a></p>';
$content='<div class="fullwidth_div">'.mslib_fe::shadowBox($content).'</div>';
?>